# POST /reports/exports
URL: https://www.warpbuild.com/docs/api/reports/CreateReportExport
Description: Queues a background job that generates the report CSV, uploads it to storage, and emails the requester when the download is ready. Params mirror the query parameters of the corresponding sync report endpoint.

---
title: "POST /reports/exports"
description: Queues a background job that generates the report CSV, uploads it
  to storage, and emails the requester when the download is ready. Params mirror
  the query parameters of the corresponding sync report endpoint.
full: true
_openapi:
  preload:
    - ../../packages/api/core/openapi.json
  method: POST
  webhook: false
  toc: []
  structuredData:
    headings: []
    contents:
      - content: Queues a background job that generates the report CSV, uploads it to
          storage, and emails the requester when the download is ready. Params
          mirror the query parameters of the corresponding sync report endpoint.
---

{/* This file was generated by Fumadocs. Do not edit this file directly. Any changes should be made by running the generation command again. */}

export default function Layout(props) {
  const { APIPage, OpenAPIPage } = props.components ?? {};
  // "APIPage" is the old name from v10, this allows both for backward compatibility
  const Comp = OpenAPIPage ?? APIPage;
  return (
    <>
      {props.children}
      <Comp document="../../packages/api/core/openapi.json" operations={[{"path":"/reports/exports","method":"post"}]} />
    </>
  );
}